Skip to main content
POST
Buy and activate a Square digital gift card

Authorizations

Authorization
string
header
required

Merchant-bound customer session JWT returned by OTP verification.

Headers

Idempotency-Key
string
required

Caller-stable key reused only for retries of this exact request.

Required string length: 16 - 128
Pattern: ^[A-Za-z0-9._:-]{16,128}$

Path Parameters

locationId
string
required
Required string length: 1 - 128

Body

application/json
amount
integer
required
Required range: 100 <= x <= 200000
sourceId
string
required
Required string length: 1 - 1024

Response

Activated digital gift card. This response must not be cached.

id
string
required
Required string length: 1 - 128
gan
string
required
Pattern: ^\d{16}$
last4
string
required
Pattern: ^\d{4}$
state
enum<string>
required
Available options:
ACTIVE
balance
object
required
orderId
string
required
Required string length: 1 - 128
paymentId
string
required
Required string length: 1 - 128
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$